import 'dart:ui';

import 'currencies.dart';
import 'locales.dart';
import 'time_zone_ids.dart';

const animationDuration = Duration(milliseconds: 250);
const backgroundColor = Color.fromARGB(255, 0, 0, 20);
const foregroundColor = Color.fromARGB(255, 0, 0, 100);
const indicatorColor = Color.fromARGB(255, 0, 142, 217);
const cardBackgroundColor = Color.fromARGB(255, 0, 0, 50);
const dropDownColor = Color.fromARGB(255, 0, 48, 100);

const List<Locale> allLocales = [
  Locales.afNA,
  Locales.afZA,
  Locales.agqCM,
  Locales.akGH,
  Locales.amET,
  Locales.ar001,
  Locales.arAE,
  Locales.arBH,
  Locales.arDJ,
  Locales.arDZ,
  Locales.arEG,
  Locales.arEH,
  Locales.arER,
  Locales.arIL,
  Locales.arIQ,
  Locales.arJO,
  Locales.arKM,
  Locales.arKW,
  Locales.arLB,
  Locales.arLY,
  Locales.arMA,
  Locales.arMR,
  Locales.arOM,
  Locales.arPS,
  Locales.arQA,
  Locales.arSA,
  Locales.arSD,
  Locales.arSO,
  Locales.arSS,
  Locales.arSY,
  Locales.arTD,
  Locales.arTN,
  Locales.arYE,
  Locales.asIN,
  Locales.asaTZ,
  Locales.astES,
  Locales.basCM,
  Locales.beBY,
  Locales.bemZM,
  Locales.bezTZ,
  Locales.bgBG,
  Locales.bmML,
  Locales.bnBD,
  Locales.bnIN,
  Locales.boCN,
  Locales.boIN,
  Locales.brFR,
  Locales.brxIN,
  Locales.caAD,
  Locales.caES,
  Locales.caFR,
  Locales.caIT,
  Locales.ccpBD,
  Locales.ccpIN,
  Locales.ceRU,
  Locales.cggUG,
  Locales.chrUS,
  Locales.ckbIQ,
  Locales.ckbIR,
  Locales.csCZ,
  Locales.cuRU,
  Locales.cyGB,
  Locales.daDK,
  Locales.daGL,
  Locales.davKE,
  Locales.deAT,
  Locales.deBE,
  Locales.deCH,
  Locales.deDE,
  Locales.deIT,
  Locales.deLI,
  Locales.deLU,
  Locales.djeNE,
  Locales.dsbDE,
  Locales.duaCM,
  Locales.dyoSN,
  Locales.dzBT,
  Locales.ebuKE,
  Locales.eeGH,
  Locales.eeTG,
  Locales.elCY,
  Locales.elGR,
  Locales.en001,
  Locales.en150,
  Locales.enAG,
  Locales.enAI,
  Locales.enAS,
  Locales.enAT,
  Locales.enAU,
  Locales.enBB,
  Locales.enBE,
  Locales.enBI,
  Locales.enBM,
  Locales.enBS,
  Locales.enBW,
  Locales.enBZ,
  Locales.enCA,
  Locales.enCC,
  Locales.enCH,
  Locales.enCK,
  Locales.enCM,
  Locales.enCX,
  Locales.enCY,
  Locales.enDE,
  Locales.enDG,
  Locales.enDK,
  Locales.enDM,
  Locales.enER,
  Locales.enFI,
  Locales.enFJ,
  Locales.enFK,
  Locales.enFM,
  Locales.enGB,
  Locales.enGD,
  Locales.enGG,
  Locales.enGH,
  Locales.enGI,
  Locales.enGM,
  Locales.enGU,
  Locales.enGY,
  Locales.enHK,
  Locales.enIE,
  Locales.enIL,
  Locales.enIM,
  Locales.enIN,
  Locales.enIO,
  Locales.enJE,
  Locales.enJM,
  Locales.enKE,
  Locales.enKI,
  Locales.enKN,
  Locales.enKY,
  Locales.enLC,
  Locales.enLR,
  Locales.enLS,
  Locales.enMG,
  Locales.enMH,
  Locales.enMO,
  Locales.enMP,
  Locales.enMS,
  Locales.enMT,
  Locales.enMU,
  Locales.enMW,
  Locales.enMY,
  Locales.enNA,
  Locales.enNF,
  Locales.enNG,
  Locales.enNL,
  Locales.enNR,
  Locales.enNU,
  Locales.enNZ,
  Locales.enPG,
  Locales.enPH,
  Locales.enPK,
  Locales.enPN,
  Locales.enPR,
  Locales.enPW,
  Locales.enRW,
  Locales.enSB,
  Locales.enSC,
  Locales.enSD,
  Locales.enSE,
  Locales.enSG,
  Locales.enSH,
  Locales.enSI,
  Locales.enSL,
  Locales.enSS,
  Locales.enSX,
  Locales.enSZ,
  Locales.enTC,
  Locales.enTK,
  Locales.enTO,
  Locales.enTT,
  Locales.enTV,
  Locales.enTZ,
  Locales.enUG,
  Locales.enUM,
  Locales.enUS,
  Locales.enVC,
  Locales.enVG,
  Locales.enVI,
  Locales.enVU,
  Locales.enWS,
  Locales.enZA,
  Locales.enZM,
  Locales.enZW,
  Locales.eo001,
  Locales.es419,
  Locales.esAR,
  Locales.esBO,
  Locales.esBR,
  Locales.esBZ,
  Locales.esCL,
  Locales.esCO,
  Locales.esCR,
  Locales.esCU,
  Locales.esDO,
  Locales.esEA,
  Locales.esEC,
  Locales.esES,
  Locales.esGQ,
  Locales.esGT,
  Locales.esHN,
  Locales.esIC,
  Locales.esMX,
  Locales.esNI,
  Locales.esPA,
  Locales.esPE,
  Locales.esPH,
  Locales.esPR,
  Locales.esPY,
  Locales.esSV,
  Locales.esUS,
  Locales.esUY,
  Locales.esVE,
  Locales.etEE,
  Locales.euES,
  Locales.ewoCM,
  Locales.faAF,
  Locales.faIR,
  Locales.ffCM,
  Locales.ffGN,
  Locales.ffMR,
  Locales.ffSN,
  Locales.fiFI,
  Locales.filPH,
  Locales.foDK,
  Locales.foFO,
  Locales.frBE,
  Locales.frBF,
  Locales.frBI,
  Locales.frBJ,
  Locales.frBL,
  Locales.frCA,
  Locales.frCD,
  Locales.frCF,
  Locales.frCG,
  Locales.frCH,
  Locales.frCI,
  Locales.frCM,
  Locales.frDJ,
  Locales.frDZ,
  Locales.frFR,
  Locales.frGA,
  Locales.frGF,
  Locales.frGN,
  Locales.frGP,
  Locales.frGQ,
  Locales.frHT,
  Locales.frKM,
  Locales.frLU,
  Locales.frMA,
  Locales.frMC,
  Locales.frMF,
  Locales.frMG,
  Locales.frML,
  Locales.frMQ,
  Locales.frMR,
  Locales.frMU,
  Locales.frNC,
  Locales.frNE,
  Locales.frPF,
  Locales.frPM,
  Locales.frRE,
  Locales.frRW,
  Locales.frSC,
  Locales.frSN,
  Locales.frSY,
  Locales.frTD,
  Locales.frTG,
  Locales.frTN,
  Locales.frVU,
  Locales.frWF,
  Locales.frYT,
  Locales.furIT,
  Locales.fyNL,
  Locales.gaIE,
  Locales.gdGB,
  Locales.glES,
  Locales.gswCH,
  Locales.gswFR,
  Locales.gswLI,
  Locales.guIN,
  Locales.guzKE,
  Locales.gvIM,
  Locales.haGH,
  Locales.haNE,
  Locales.haNG,
  Locales.hawUS,
  Locales.heIL,
  Locales.hiIN,
  Locales.hrBA,
  Locales.hrHR,
  Locales.hsbDE,
  Locales.huHU,
  Locales.hyAM,
  Locales.idID,
  Locales.igNG,
  Locales.iiCN,
  Locales.isIS,
  Locales.itCH,
  Locales.itIT,
  Locales.itSM,
  Locales.itVA,
  Locales.jaJP,
  Locales.jgoCM,
  Locales.jmcTZ,
  Locales.kaGE,
  Locales.kabDZ,
  Locales.kamKE,
  Locales.kdeTZ,
  Locales.keaCV,
  Locales.khqML,
  Locales.kiKE,
  Locales.kkKZ,
  Locales.kkjCM,
  Locales.klGL,
  Locales.klnKE,
  Locales.kmKH,
  Locales.knIN,
  Locales.koKP,
  Locales.koKR,
  Locales.kokIN,
  Locales.ksIN,
  Locales.ksbTZ,
  Locales.ksfCM,
  Locales.kshDE,
  Locales.kwGB,
  Locales.kyKG,
  Locales.lagTZ,
  Locales.lbLU,
  Locales.lgUG,
  Locales.lktUS,
  Locales.lnAO,
  Locales.lnCD,
  Locales.lnCF,
  Locales.lnCG,
  Locales.loLA,
  Locales.lrcIQ,
  Locales.lrcIR,
  Locales.ltLT,
  Locales.luCD,
  Locales.luoKE,
  Locales.luyKE,
  Locales.lvLV,
  Locales.masKE,
  Locales.masTZ,
  Locales.merKE,
  Locales.mfeMU,
  Locales.mgMG,
  Locales.mghMZ,
  Locales.mgoCM,
  Locales.mkMK,
  Locales.mlIN,
  Locales.mnMN,
  Locales.mrIN,
  Locales.msBN,
  Locales.msMY,
  Locales.msSG,
  Locales.mtMT,
  Locales.muaCM,
  Locales.myMM,
  Locales.mznIR,
  Locales.naqNA,
  Locales.nbNO,
  Locales.nbSJ,
  Locales.ndZW,
  Locales.ndsDE,
  Locales.ndsNL,
  Locales.neIN,
  Locales.neNP,
  Locales.nlAW,
  Locales.nlBE,
  Locales.nlBQ,
  Locales.nlCW,
  Locales.nlNL,
  Locales.nlSR,
  Locales.nlSX,
  Locales.nmgCM,
  Locales.nnNO,
  Locales.nnhCM,
  Locales.noNO,
  Locales.nusSS,
  Locales.nynUG,
  Locales.omET,
  Locales.omKE,
  Locales.orIN,
  Locales.osGE,
  Locales.osRU,
  Locales.plPL,
  Locales.prg001,
  Locales.psAF,
  Locales.ptAO,
  Locales.ptBR,
  Locales.ptCH,
  Locales.ptCV,
  Locales.ptGQ,
  Locales.ptGW,
  Locales.ptLU,
  Locales.ptMO,
  Locales.ptMZ,
  Locales.ptPT,
  Locales.ptST,
  Locales.ptTL,
  Locales.quBO,
  Locales.quEC,
  Locales.quPE,
  Locales.rmCH,
  Locales.rnBI,
  Locales.roMD,
  Locales.roRO,
  Locales.rofTZ,
  Locales.ruBY,
  Locales.ruKG,
  Locales.ruKZ,
  Locales.ruMD,
  Locales.ruRU,
  Locales.ruUA,
  Locales.rwRW,
  Locales.rwkTZ,
  Locales.sahRU,
  Locales.saqKE,
  Locales.sbpTZ,
  Locales.sdPK,
  Locales.seFI,
  Locales.seNO,
  Locales.seSE,
  Locales.sehMZ,
  Locales.sesML,
  Locales.sgCF,
  Locales.siLK,
  Locales.skSK,
  Locales.slSI,
  Locales.smnFI,
  Locales.snZW,
  Locales.soDJ,
  Locales.soET,
  Locales.soKE,
  Locales.soSO,
  Locales.sqAL,
  Locales.sqMK,
  Locales.sqXK,
  Locales.srBA,
  Locales.srCS,
  Locales.srME,
  Locales.srRS,
  Locales.svAX,
  Locales.svFI,
  Locales.svSE,
  Locales.swCD,
  Locales.swKE,
  Locales.swTZ,
  Locales.swUG,
  Locales.taIN,
  Locales.taLK,
  Locales.taMY,
  Locales.taSG,
  Locales.teIN,
  Locales.teoKE,
  Locales.teoUG,
  Locales.tgTJ,
  Locales.thTH,
  Locales.tiER,
  Locales.tiET,
  Locales.tkTM,
  Locales.toTO,
  Locales.trCY,
  Locales.trTR,
  Locales.ttRU,
  Locales.twqNE,
  Locales.tzmMA,
  Locales.ugCN,
  Locales.ukUA,
  Locales.urIN,
  Locales.urPK,
  Locales.viVN,
  Locales.vo001,
  Locales.vunTZ,
  Locales.waeCH,
  Locales.woSN,
  Locales.xogUG,
  Locales.yavCM,
  Locales.yi001,
  Locales.yoBJ,
  Locales.yoNG,
  Locales.zghMA,
  Locales.zhCN,
  Locales.zhHK,
  Locales.zhSG,
  Locales.zhTW,
  Locales.zuZA,
  Locales.azCyrlAZ,
  Locales.azLatnAZ,
  Locales.bsCyrlBA,
  Locales.bsLatnBA,
  Locales.paArabPK,
  Locales.paGuruIN,
  Locales.shiLatnMA,
  Locales.shiTfngMA,
  Locales.srCyrlBA,
  Locales.srCyrlME,
  Locales.srCyrlRS,
  Locales.srCyrlXK,
  Locales.srLatnBA,
  Locales.srLatnME,
  Locales.srLatnRS,
  Locales.srLatnXK,
  Locales.uzArabAF,
  Locales.uzCyrlUZ,
  Locales.uzLatnUZ,
  Locales.vaiLatnLR,
  Locales.vaiVaiiLR,
  Locales.yueHansCN,
  Locales.yueHantHK,
  Locales.zhHansCN,
  Locales.zhHansHK,
  Locales.zhHansMO,
  Locales.zhHansSG,
  Locales.zhHantHK,
  Locales.zhHantMO,
  Locales.zhHantTW
];

const List<String> allTimeZoneIds = [
  TimeZoneIds.africaAbidjan,
  TimeZoneIds.africaAccra,
  TimeZoneIds.africaAddisAbaba,
  TimeZoneIds.africaAlgiers,
  TimeZoneIds.africaAsmara,
  TimeZoneIds.africaBamako,
  TimeZoneIds.africaBangui,
  TimeZoneIds.africaBanjul,
  TimeZoneIds.africaBissau,
  TimeZoneIds.africaBlantyre,
  TimeZoneIds.africaBrazzaville,
  TimeZoneIds.africaBujumbura,
  TimeZoneIds.africaCairo,
  TimeZoneIds.africaCasablanca,
  TimeZoneIds.africaCeuta,
  TimeZoneIds.africaConakry,
  TimeZoneIds.africaDakar,
  TimeZoneIds.africaDarEsSalaam,
  TimeZoneIds.africaDjibouti,
  TimeZoneIds.africaDouala,
  TimeZoneIds.africaElAaiun,
  TimeZoneIds.africaFreetown,
  TimeZoneIds.africaGaborone,
  TimeZoneIds.africaHarare,
  TimeZoneIds.africaJohannesburg,
  TimeZoneIds.africaJuba,
  TimeZoneIds.africaKampala,
  TimeZoneIds.africaKhartoum,
  TimeZoneIds.africaKigali,
  TimeZoneIds.africaKinshasa,
  TimeZoneIds.africaLagos,
  TimeZoneIds.africaLibreville,
  TimeZoneIds.africaLome,
  TimeZoneIds.africaLuanda,
  TimeZoneIds.africaLubumbashi,
  TimeZoneIds.africaLusaka,
  TimeZoneIds.africaMalabo,
  TimeZoneIds.africaMaputo,
  TimeZoneIds.africaMaseru,
  TimeZoneIds.africaMbabane,
  TimeZoneIds.africaMogadishu,
  TimeZoneIds.africaMonrovia,
  TimeZoneIds.africaNairobi,
  TimeZoneIds.africaNdjamena,
  TimeZoneIds.africaNiamey,
  TimeZoneIds.africaNouakchott,
  TimeZoneIds.africaOuagadougou,
  TimeZoneIds.africaPortoNovo,
  TimeZoneIds.africaSaoTome,
  TimeZoneIds.africaTripoli,
  TimeZoneIds.africaTunis,
  TimeZoneIds.africaWindhoek,
  TimeZoneIds.americaAdak,
  TimeZoneIds.americaAnchorage,
  TimeZoneIds.americaAnguilla,
  TimeZoneIds.americaAntigua,
  TimeZoneIds.americaAraguaina,
  TimeZoneIds.americaArgentinaBuenosAires,
  TimeZoneIds.americaArgentinaCatamarca,
  TimeZoneIds.americaArgentinaCordoba,
  TimeZoneIds.americaArgentinaJujuy,
  TimeZoneIds.americaArgentinaLaRioja,
  TimeZoneIds.americaArgentinaMendoza,
  TimeZoneIds.americaArgentinaRioGallegos,
  TimeZoneIds.americaArgentinaSalta,
  TimeZoneIds.americaArgentinaSanJuan,
  TimeZoneIds.americaArgentinaSanLuis,
  TimeZoneIds.americaArgentinaTucuman,
  TimeZoneIds.americaArgentinaUshuaia,
  TimeZoneIds.americaAruba,
  TimeZoneIds.americaAsuncion,
  TimeZoneIds.americaAtikokan,
  TimeZoneIds.americaBahia,
  TimeZoneIds.americaBahiaBanderas,
  TimeZoneIds.americaBarbados,
  TimeZoneIds.americaBelem,
  TimeZoneIds.americaBelize,
  TimeZoneIds.americaBlancSablon,
  TimeZoneIds.americaBoaVista,
  TimeZoneIds.americaBogota,
  TimeZoneIds.americaBoise,
  TimeZoneIds.americaCambridgeBay,
  TimeZoneIds.americaCampoGrande,
  TimeZoneIds.americaCancun,
  TimeZoneIds.americaCaracas,
  TimeZoneIds.americaCayenne,
  TimeZoneIds.americaCayman,
  TimeZoneIds.americaChicago,
  TimeZoneIds.americaChihuahua,
  TimeZoneIds.americaCostaRica,
  TimeZoneIds.americaCreston,
  TimeZoneIds.americaCuiaba,
  TimeZoneIds.americaCuracao,
  TimeZoneIds.americaDanmarkshavn,
  TimeZoneIds.americaDawson,
  TimeZoneIds.americaDawsonCreek,
  TimeZoneIds.americaDenver,
  TimeZoneIds.americaDetroit,
  TimeZoneIds.americaDominica,
  TimeZoneIds.americaEdmonton,
  TimeZoneIds.americaEirunepe,
  TimeZoneIds.americaElSalvador,
  TimeZoneIds.americaFortNelson,
  TimeZoneIds.americaFortaleza,
  TimeZoneIds.americaGlaceBay,
  TimeZoneIds.americaGooseBay,
  TimeZoneIds.americaGrandTurk,
  TimeZoneIds.americaGrenada,
  TimeZoneIds.americaGuadeloupe,
  TimeZoneIds.americaGuatemala,
  TimeZoneIds.americaGuayaquil,
  TimeZoneIds.americaGuyana,
  TimeZoneIds.americaHalifax,
  TimeZoneIds.americaHavana,
  TimeZoneIds.americaHermosillo,
  TimeZoneIds.americaIndianaIndianapolis,
  TimeZoneIds.americaIndianaKnox,
  TimeZoneIds.americaIndianaMarengo,
  TimeZoneIds.americaIndianaPetersburg,
  TimeZoneIds.americaIndianaTellCity,
  TimeZoneIds.americaIndianaVevay,
  TimeZoneIds.americaIndianaVincennes,
  TimeZoneIds.americaIndianaWinamac,
  TimeZoneIds.americaInuvik,
  TimeZoneIds.americaIqaluit,
  TimeZoneIds.americaJamaica,
  TimeZoneIds.americaJuneau,
  TimeZoneIds.americaKentuckyLouisville,
  TimeZoneIds.americaKentuckyMonticello,
  TimeZoneIds.americaKralendijk,
  TimeZoneIds.americaLaPaz,
  TimeZoneIds.americaLima,
  TimeZoneIds.americaLosAngeles,
  TimeZoneIds.americaLowerPrinces,
  TimeZoneIds.americaMaceio,
  TimeZoneIds.americaManagua,
  TimeZoneIds.americaManaus,
  TimeZoneIds.americaMarigot,
  TimeZoneIds.americaMartinique,
  TimeZoneIds.americaMatamoros,
  TimeZoneIds.americaMazatlan,
  TimeZoneIds.americaMenominee,
  TimeZoneIds.americaMerida,
  TimeZoneIds.americaMetlakatla,
  TimeZoneIds.americaMexicoCity,
  TimeZoneIds.americaMiquelon,
  TimeZoneIds.americaMoncton,
  TimeZoneIds.americaMonterrey,
  TimeZoneIds.americaMontevideo,
  TimeZoneIds.americaMontserrat,
  TimeZoneIds.americaNassau,
  TimeZoneIds.americaNewYork,
  TimeZoneIds.americaNipigon,
  TimeZoneIds.americaNome,
  TimeZoneIds.americaNoronha,
  TimeZoneIds.americaNorthDakotaBeulah,
  TimeZoneIds.americaNorthDakotaCenter,
  TimeZoneIds.americaNorthDakotaNewSalem,
  TimeZoneIds.americaOjinaga,
  TimeZoneIds.americaPanama,
  TimeZoneIds.americaPangnirtung,
  TimeZoneIds.americaParamaribo,
  TimeZoneIds.americaPhoenix,
  TimeZoneIds.americaPortAuPrince,
  TimeZoneIds.americaPortOfSpain,
  TimeZoneIds.americaPortoVelho,
  TimeZoneIds.americaPuertoRico,
  TimeZoneIds.americaPuntaArenas,
  TimeZoneIds.americaRainyRiver,
  TimeZoneIds.americaRankinInlet,
  TimeZoneIds.americaRecife,
  TimeZoneIds.americaRegina,
  TimeZoneIds.americaResolute,
  TimeZoneIds.americaRioBranco,
  TimeZoneIds.americaSantarem,
  TimeZoneIds.americaSantiago,
  TimeZoneIds.americaSantoDomingo,
  TimeZoneIds.americaSaoPaulo,
  TimeZoneIds.americaScoresbysund,
  TimeZoneIds.americaSitka,
  TimeZoneIds.americaStBarthelemy,
  TimeZoneIds.americaStJohns,
  TimeZoneIds.americaStKitts,
  TimeZoneIds.americaStLucia,
  TimeZoneIds.americaStThomas,
  TimeZoneIds.americaStVincent,
  TimeZoneIds.americaSwiftCurrent,
  TimeZoneIds.americaTegucigalpa,
  TimeZoneIds.americaThule,
  TimeZoneIds.americaThunderBay,
  TimeZoneIds.americaTijuana,
  TimeZoneIds.americaToronto,
  TimeZoneIds.americaTortola,
  TimeZoneIds.americaVancouver,
  TimeZoneIds.americaWhitehorse,
  TimeZoneIds.americaWinnipeg,
  TimeZoneIds.americaYakutat,
  TimeZoneIds.americaYellowknife,
  TimeZoneIds.antarcticaCasey,
  TimeZoneIds.antarcticaDavis,
  TimeZoneIds.antarcticaDumontDUrville,
  TimeZoneIds.antarcticaMacquarie,
  TimeZoneIds.antarcticaMawson,
  TimeZoneIds.antarcticaMcMurdo,
  TimeZoneIds.antarcticaPalmer,
  TimeZoneIds.antarcticaRothera,
  TimeZoneIds.antarcticaSyowa,
  TimeZoneIds.antarcticaTroll,
  TimeZoneIds.antarcticaVostok,
  TimeZoneIds.arcticLongyearbyen,
  TimeZoneIds.asiaAden,
  TimeZoneIds.asiaAlmaty,
  TimeZoneIds.asiaAmman,
  TimeZoneIds.asiaAnadyr,
  TimeZoneIds.asiaAqtau,
  TimeZoneIds.asiaAqtobe,
  TimeZoneIds.asiaAshgabat,
  TimeZoneIds.asiaAtyrau,
  TimeZoneIds.asiaBaghdad,
  TimeZoneIds.asiaBahrain,
  TimeZoneIds.asiaBaku,
  TimeZoneIds.asiaBangkok,
  TimeZoneIds.asiaBarnaul,
  TimeZoneIds.asiaBeirut,
  TimeZoneIds.asiaBishkek,
  TimeZoneIds.asiaBrunei,
  TimeZoneIds.asiaChita,
  TimeZoneIds.asiaChoibalsan,
  TimeZoneIds.asiaColombo,
  TimeZoneIds.asiaDamascus,
  TimeZoneIds.asiaDhaka,
  TimeZoneIds.asiaDili,
  TimeZoneIds.asiaDubai,
  TimeZoneIds.asiaDushanbe,
  TimeZoneIds.asiaFamagusta,
  TimeZoneIds.asiaGaza,
  TimeZoneIds.asiaHebron,
  TimeZoneIds.asiaHoChiMinh,
  TimeZoneIds.asiaHongKong,
  TimeZoneIds.asiaHovd,
  TimeZoneIds.asiaIrkutsk,
  TimeZoneIds.asiaJakarta,
  TimeZoneIds.asiaJayapura,
  TimeZoneIds.asiaJerusalem,
  TimeZoneIds.asiaKabul,
  TimeZoneIds.asiaKamchatka,
  TimeZoneIds.asiaKarachi,
  TimeZoneIds.asiaKathmandu,
  TimeZoneIds.asiaKhandyga,
  TimeZoneIds.asiaKolkata,
  TimeZoneIds.asiaKrasnoyarsk,
  TimeZoneIds.asiaKualaLumpur,
  TimeZoneIds.asiaKuching,
  TimeZoneIds.asiaKuwait,
  TimeZoneIds.asiaMacau,
  TimeZoneIds.asiaMagadan,
  TimeZoneIds.asiaMakassar,
  TimeZoneIds.asiaManila,
  TimeZoneIds.asiaMuscat,
  TimeZoneIds.asiaNicosia,
  TimeZoneIds.asiaNovokuznetsk,
  TimeZoneIds.asiaNovosibirsk,
  TimeZoneIds.asiaOmsk,
  TimeZoneIds.asiaOral,
  TimeZoneIds.asiaPhnomPenh,
  TimeZoneIds.asiaPontianak,
  TimeZoneIds.asiaPyongyang,
  TimeZoneIds.asiaQatar,
  TimeZoneIds.asiaQostanay,
  TimeZoneIds.asiaQyzylorda,
  TimeZoneIds.asiaRiyadh,
  TimeZoneIds.asiaSakhalin,
  TimeZoneIds.asiaSamarkand,
  TimeZoneIds.asiaSeoul,
  TimeZoneIds.asiaShanghai,
  TimeZoneIds.asiaSingapore,
  TimeZoneIds.asiaSrednekolymsk,
  TimeZoneIds.asiaTaipei,
  TimeZoneIds.asiaTashkent,
  TimeZoneIds.asiaTbilisi,
  TimeZoneIds.asiaTehran,
  TimeZoneIds.asiaThimphu,
  TimeZoneIds.asiaTokyo,
  TimeZoneIds.asiaTomsk,
  TimeZoneIds.asiaUlaanbaatar,
  TimeZoneIds.asiaUrumqi,
  TimeZoneIds.asiaUstNera,
  TimeZoneIds.asiaVientiane,
  TimeZoneIds.asiaVladivostok,
  TimeZoneIds.asiaYakutsk,
  TimeZoneIds.asiaYangon,
  TimeZoneIds.asiaYekaterinburg,
  TimeZoneIds.asiaYerevan,
  TimeZoneIds.atlanticAzores,
  TimeZoneIds.atlanticBermuda,
  TimeZoneIds.atlanticCanary,
  TimeZoneIds.atlanticCapeVerde,
  TimeZoneIds.atlanticFaroe,
  TimeZoneIds.atlanticMadeira,
  TimeZoneIds.atlanticReykjavik,
  TimeZoneIds.atlanticSouthGeorgia,
  TimeZoneIds.atlanticStHelena,
  TimeZoneIds.atlanticStanley,
  TimeZoneIds.australiaAdelaide,
  TimeZoneIds.australiaBrisbane,
  TimeZoneIds.australiaBrokenHill,
  TimeZoneIds.australiaDarwin,
  TimeZoneIds.australiaEucla,
  TimeZoneIds.australiaHobart,
  TimeZoneIds.australiaLindeman,
  TimeZoneIds.australiaLordHowe,
  TimeZoneIds.australiaMelbourne,
  TimeZoneIds.australiaPerth,
  TimeZoneIds.australiaSydney,
  TimeZoneIds.europeAmsterdam,
  TimeZoneIds.europeAndorra,
  TimeZoneIds.europeAstrakhan,
  TimeZoneIds.europeAthens,
  TimeZoneIds.europeBelgrade,
  TimeZoneIds.europeBerlin,
  TimeZoneIds.europeBratislava,
  TimeZoneIds.europeBrussels,
  TimeZoneIds.europeBucharest,
  TimeZoneIds.europeBudapest,
  TimeZoneIds.europeBusingen,
  TimeZoneIds.europeChisinau,
  TimeZoneIds.europeCopenhagen,
  TimeZoneIds.europeDublin,
  TimeZoneIds.europeGibraltar,
  TimeZoneIds.europeGuernsey,
  TimeZoneIds.europeHelsinki,
  TimeZoneIds.europeIsleOfMan,
  TimeZoneIds.europeIstanbul,
  TimeZoneIds.europeJersey,
  TimeZoneIds.europeKaliningrad,
  TimeZoneIds.europeKiev,
  TimeZoneIds.europeKirov,
  TimeZoneIds.europeLisbon,
  TimeZoneIds.europeLjubljana,
  TimeZoneIds.europeLondon,
  TimeZoneIds.europeLuxembourg,
  TimeZoneIds.europeMadrid,
  TimeZoneIds.europeMalta,
  TimeZoneIds.europeMariehamn,
  TimeZoneIds.europeMinsk,
  TimeZoneIds.europeMonaco,
  TimeZoneIds.europeMoscow,
  TimeZoneIds.europeOslo,
  TimeZoneIds.europeParis,
  TimeZoneIds.europePodgorica,
  TimeZoneIds.europePrague,
  TimeZoneIds.europeRiga,
  TimeZoneIds.europeRome,
  TimeZoneIds.europeSamara,
  TimeZoneIds.europeSanMarino,
  TimeZoneIds.europeSarajevo,
  TimeZoneIds.europeSaratov,
  TimeZoneIds.europeSimferopol,
  TimeZoneIds.europeSkopje,
  TimeZoneIds.europeSofia,
  TimeZoneIds.europeStockholm,
  TimeZoneIds.europeTallinn,
  TimeZoneIds.europeTirane,
  TimeZoneIds.europeUlyanovsk,
  TimeZoneIds.europeUzhgorod,
  TimeZoneIds.europeVaduz,
  TimeZoneIds.europeVatican,
  TimeZoneIds.europeVienna,
  TimeZoneIds.europeVilnius,
  TimeZoneIds.europeVolgograd,
  TimeZoneIds.europeWarsaw,
  TimeZoneIds.europeZagreb,
  TimeZoneIds.europeZaporozhye,
  TimeZoneIds.europeZurich,
  TimeZoneIds.indianAntananarivo,
  TimeZoneIds.indianChagos,
  TimeZoneIds.indianChristmas,
  TimeZoneIds.indianCocos,
  TimeZoneIds.indianComoro,
  TimeZoneIds.indianKerguelen,
  TimeZoneIds.indianMahe,
  TimeZoneIds.indianMaldives,
  TimeZoneIds.indianMauritius,
  TimeZoneIds.indianMayotte,
  TimeZoneIds.indianReunion,
  TimeZoneIds.pacificApia,
  TimeZoneIds.pacificAuckland,
  TimeZoneIds.pacificBougainville,
  TimeZoneIds.pacificChatham,
  TimeZoneIds.pacificChuuk,
  TimeZoneIds.pacificEaster,
  TimeZoneIds.pacificEfate,
  TimeZoneIds.pacificFakaofo,
  TimeZoneIds.pacificFiji,
  TimeZoneIds.pacificFunafuti,
  TimeZoneIds.pacificGalapagos,
  TimeZoneIds.pacificGambier,
  TimeZoneIds.pacificGuadalcanal,
  TimeZoneIds.pacificGuam,
  TimeZoneIds.pacificHonolulu,
  TimeZoneIds.pacificKiritimati,
  TimeZoneIds.pacificKosrae,
  TimeZoneIds.pacificKwajalein,
  TimeZoneIds.pacificMajuro,
  TimeZoneIds.pacificMarquesas,
  TimeZoneIds.pacificMidway,
  TimeZoneIds.pacificNauru,
  TimeZoneIds.pacificNiue,
  TimeZoneIds.pacificNorfolk,
  TimeZoneIds.pacificNoumea,
  TimeZoneIds.pacificPagoPago,
  TimeZoneIds.pacificPalau,
  TimeZoneIds.pacificPitcairn,
  TimeZoneIds.pacificPohnpei,
  TimeZoneIds.pacificPortMoresby,
  TimeZoneIds.pacificRarotonga,
  TimeZoneIds.pacificSaipan,
  TimeZoneIds.pacificTahiti,
  TimeZoneIds.pacificTarawa,
  TimeZoneIds.pacificTongatapu,
  TimeZoneIds.pacificWake,
  TimeZoneIds.pacificWallis
];

const List<String> allCurrencies = [
  Currencies.adp,
  Currencies.aed,
  Currencies.afa,
  Currencies.afn,
  Currencies.all,
  Currencies.amd,
  Currencies.ang,
  Currencies.aoa,
  Currencies.ars,
  Currencies.ats,
  Currencies.aud,
  Currencies.awg,
  Currencies.aym,
  Currencies.azm,
  Currencies.azn,
  Currencies.bam,
  Currencies.bbd,
  Currencies.bdt,
  Currencies.bef,
  Currencies.bgl,
  Currencies.bgn,
  Currencies.bhd,
  Currencies.bif,
  Currencies.bmd,
  Currencies.bnd,
  Currencies.bob,
  Currencies.bov,
  Currencies.brl,
  Currencies.bsd,
  Currencies.btn,
  Currencies.bwp,
  Currencies.byb,
  Currencies.byn,
  Currencies.byr,
  Currencies.bzd,
  Currencies.cad,
  Currencies.cdf,
  Currencies.che,
  Currencies.chf,
  Currencies.chw,
  Currencies.clf,
  Currencies.clp,
  Currencies.cny,
  Currencies.cop,
  Currencies.cou,
  Currencies.crc,
  Currencies.csd,
  Currencies.cuc,
  Currencies.cup,
  Currencies.cve,
  Currencies.cyp,
  Currencies.czk,
  Currencies.dem,
  Currencies.djf,
  Currencies.dkk,
  Currencies.dop,
  Currencies.dzd,
  Currencies.eek,
  Currencies.egp,
  Currencies.ern,
  Currencies.esp,
  Currencies.etb,
  Currencies.eur,
  Currencies.fim,
  Currencies.fjd,
  Currencies.fkp,
  Currencies.frf,
  Currencies.gbp,
  Currencies.gel,
  Currencies.ghc,
  Currencies.ghs,
  Currencies.gip,
  Currencies.gmd,
  Currencies.gnf,
  Currencies.grd,
  Currencies.gtq,
  Currencies.gwp,
  Currencies.gyd,
  Currencies.hkd,
  Currencies.hnl,
  Currencies.hrk,
  Currencies.htg,
  Currencies.huf,
  Currencies.idr,
  Currencies.iep,
  Currencies.ils,
  Currencies.inr,
  Currencies.iqd,
  Currencies.irr,
  Currencies.isk,
  Currencies.itl,
  Currencies.jmd,
  Currencies.jod,
  Currencies.jpy,
  Currencies.kes,
  Currencies.kgs,
  Currencies.khr,
  Currencies.kmf,
  Currencies.kpw,
  Currencies.krw,
  Currencies.kwd,
  Currencies.kyd,
  Currencies.kzt,
  Currencies.lak,
  Currencies.lbp,
  Currencies.lkr,
  Currencies.lrd,
  Currencies.lsl,
  Currencies.ltl,
  Currencies.luf,
  Currencies.lvl,
  Currencies.lyd,
  Currencies.mad,
  Currencies.mdl,
  Currencies.mga,
  Currencies.mgf,
  Currencies.mkd,
  Currencies.mmk,
  Currencies.mnt,
  Currencies.mop,
  Currencies.mro,
  Currencies.mru,
  Currencies.mtl,
  Currencies.mur,
  Currencies.mvr,
  Currencies.mwk,
  Currencies.mxn,
  Currencies.mxv,
  Currencies.myr,
  Currencies.mzm,
  Currencies.mzn,
  Currencies.nad,
  Currencies.ngn,
  Currencies.nio,
  Currencies.nlg,
  Currencies.nok,
  Currencies.npr,
  Currencies.nzd,
  Currencies.omr,
  Currencies.pab,
  Currencies.pen,
  Currencies.pgk,
  Currencies.php,
  Currencies.pkr,
  Currencies.pln,
  Currencies.pte,
  Currencies.pyg,
  Currencies.qar,
  Currencies.rol,
  Currencies.ron,
  Currencies.rsd,
  Currencies.rub,
  Currencies.rur,
  Currencies.rwf,
  Currencies.sar,
  Currencies.sbd,
  Currencies.scr,
  Currencies.sdd,
  Currencies.sdg,
  Currencies.sek,
  Currencies.sgd,
  Currencies.shp,
  Currencies.sit,
  Currencies.skk,
  Currencies.sll,
  Currencies.sos,
  Currencies.srd,
  Currencies.srg,
  Currencies.ssp,
  Currencies.std,
  Currencies.stn,
  Currencies.svc,
  Currencies.syp,
  Currencies.szl,
  Currencies.thb,
  Currencies.tjs,
  Currencies.tmm,
  Currencies.tmt,
  Currencies.tnd,
  Currencies.top,
  Currencies.tpe,
  Currencies.trl,
  Currencies.turkishRY,
  Currencies.ttd,
  Currencies.twd,
  Currencies.tzs,
  Currencies.uah,
  Currencies.ugx,
  Currencies.usd,
  Currencies.usn,
  Currencies.uss,
  Currencies.uyi,
  Currencies.uyu,
  Currencies.uzs,
  Currencies.veb,
  Currencies.vef,
  Currencies.ves,
  Currencies.vnd,
  Currencies.vuv,
  Currencies.wst,
  Currencies.xaf,
  Currencies.xag,
  Currencies.xau,
  Currencies.xba,
  Currencies.xbb,
  Currencies.xbc,
  Currencies.xbd,
  Currencies.xcd,
  Currencies.xdr,
  Currencies.xfo,
  Currencies.xfu,
  Currencies.xof,
  Currencies.xpd,
  Currencies.xpf,
  Currencies.xpt,
  Currencies.xsu,
  Currencies.xts,
  Currencies.xua,
  Currencies.xxx,
  Currencies.yer,
  Currencies.yum,
  Currencies.zar,
  Currencies.zmk,
  Currencies.zmw,
  Currencies.zwd,
  Currencies.zwl,
  Currencies.zwn,
  Currencies.zwr
];
